# Template Variant

This object contains the following attributes:

<table><thead><tr><th width="174">Field Name</th><th width="160">Data Type</th><th></th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td><p>The identifier of the object. </p><p>Example: NTL-0000-0001</p></td></tr><tr><td><code>languageCode</code></td><td>string</td><td><p>The language of the template variant. </p><p>Example: en-US</p></td></tr><tr><td><code>subject</code></td><td>string</td><td><p>The subject line of the template variant.</p><p>Example: Your new order</p></td></tr><tr><td><code>body</code></td><td>string</td><td><p>The content of the template variant with placeholders.</p><p>Example: Hey <code>{{ user.firstName }}</code> - a new order has been placed.</p></td></tr><tr><td><code>default</code></td><td>boolean</td><td><p>Indicates whether the template is default. </p><p>Example: true</p></td></tr><tr><td><code>status</code></td><td>enum</td><td><p>Indicates the status of the template variant.</p><p>Example: Active</p></td></tr><tr><td><code>audit</code></td><td>object</td><td> A reference to the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>audit</code></a> object.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/notifications-api/template-variant.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
